Subject: Re: [PATCH net-next] mlxsw: Make MLXSW_SP1_FWREV_MINOR a hard requirement

From: Ido Schimmel <[email-masked]>
Date: Mon, 24 Sep 2018 01:28:39 +0300

On Mon, Sep 24, 2018 at 12:04:17AM +0200, Andrew Lunn wrote:
> On Mon, Sep 24, 2018 at 12:51:00AM +0300, Ido Schimmel wrote:
> > On Sun, Sep 23, 2018 at 10:58:09PM +0200, Andrew Lunn wrote:
> > > > Therefore tweak the check to accept any FW version that is:
> > > > 
> > > > - on the same branch as the preferred version, and
> > > > - the same as or newer than the preferred version.
> > > 
> > > Hi Ido
> > > 
> > > Do you print this information out? If the check fails, it would be
> > > useful to know what the minimal version is.
> > 
> > Hi Andrew,
> > 
> > Yes, we do print it. It is the version the driver will try to load
> > during initialization in case current version is incompatible:
> > 
> > dev_info(mlxsw_sp->bus_info->dev, "Flashing firmware using file %s\n",
> > 	 fw_filename);
> 
> Ah. O.K. Thanks.
> 
> But doesn't that mean you reflash the device with the minimum version,
> when in fact there could be a much newer version in /lib/firmware?

No, because we always enforce the latest version we post to
linux-firmware. We try to keep firmware updates at a minimum, so if we
decided to post a new version it's either because the driver now
requires a feature from this version (which makes older versions
incompatible) or because a critical bug was fixed in that version.